Liferay.Loader.define("frontend-js-web@1.0.83/liferay/PortletBase.es", ['exports', 'metal/src/metal', 'metal-dom/src/all/dom', 'metal-component/src/all/component'], function (exports, _metal, _dom, _component) {
	'use strict';

	Object.defineProperty(exports, "__esModule", {
		value: true
	});

	var _metal2 = _interopRequireDefault(_metal);

	var _dom2 = _interopRequireDefault(_dom);

	var _component2 = _interopRequireDefault(_component);

	function _interopRequireDefault(obj) {
		return obj && obj.__esModule ? obj : {
			default: obj
		};
	}

	function _classCallCheck(instance, Constructor) {
		if (!(instance instanceof Constructor)) {
			throw new TypeError("Cannot call a class as a function");
		}
	}

	var _createClass = function () {
		function defineProperties(target, props) {
			for (var i = 0; i < props.length; i++) {
				var descriptor = props[i];
				descriptor.enumerable = descriptor.enumerable || false;
				descriptor.configurable = true;
				if ("value" in descriptor) descriptor.writable = true;
				Object.defineProperty(target, descriptor.key, descriptor);
			}
		}

		return function (Constructor, protoProps, staticProps) {
			if (protoProps) defineProperties(Constructor.prototype, protoProps);
			if (staticProps) defineProperties(Constructor, staticProps);
			return Constructor;
		};
	}();

	function _possibleConstructorReturn(self, call) {
		if (!self) {
			throw new ReferenceError("this hasn't been initialised - super() hasn't been called");
		}

		return call && (typeof call === "object" || typeof call === "function") ? call : self;
	}

	function _inherits(subClass, superClass) {
		if (typeof superClass !== "function" && superClass !== null) {
			throw new TypeError("Super expression must either be null or a function, not " + typeof superClass);
		}

		subClass.prototype = Object.create(superClass && superClass.prototype, {
			constructor: {
				value: subClass,
				enumerable: false,
				writable: true,
				configurable: true
			}
		});
		if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass;
	}

	var PortletBase = function (_Component) {
		_inherits(PortletBase, _Component);

		function PortletBase() {
			_classCallCheck(this, PortletBase);

			return _possibleConstructorReturn(this, (PortletBase.__proto__ || Object.getPrototypeOf(PortletBase)).apply(this, arguments));
		}

		_createClass(PortletBase, [{
			key: 'all',
			value: function all(selectors, root) {
				root = _dom2.default.toElement(root) || this.rootNode || document;

				return root.querySelectorAll(this.namespaceSelectors_(this.namespace, selectors));
			}
		}, {
			key: 'namespaceSelectors_',
			value: function namespaceSelectors_(namespace, selectors) {
				return selectors.replace(new RegExp('(#|\\[id=(\\"|\\\'))(?!' + namespace + ')', 'g'), '$1' + namespace);
			}
		}, {
			key: 'ns',
			value: function ns(obj) {
				return Liferay.Util.ns(this.namespace, obj);
			}
		}, {
			key: 'one',
			value: function one(selectors, root) {
				root = _dom2.default.toElement(root) || this.rootNode || document;

				return root.querySelector(this.namespaceSelectors_(this.namespace, selectors));
			}
		}, {
			key: 'rootNodeValueFn_',
			value: function rootNodeValueFn_() {
				return _dom2.default.toElement('#p_p_id' + this.namespace);
			}
		}]);

		return PortletBase;
	}(_component2.default);

	/**
  * State definition.
  * @ignore
  * @static
  * @type {!Object}
  */

	PortletBase.STATE = {

		/**
   * Portlet's namespace
   * @instance
   * @memberof PortletBase
   * @type {string}
   */

		namespace: {
			validator: _metal2.default.isString
		},

		/**
   * Portlet's root node element
   * @instance
   * @memberof PortletBase
   * @type {Element}
   */

		rootNode: {
			setter: _dom2.default.toElement,
			valueFn: 'rootNodeValueFn_'
		}
	};

	exports.default = PortletBase;
});
//# sourceMappingURL=PortletBase.es.js.map
