<%--
/**
 * Copyright (c) 2000-present Liferay, Inc. All rights reserved.
 *
 * The contents of this file are subject to the terms of the Liferay Enterprise
 * Subscription License ("License"). You may not use this file except in
 * compliance with the License. You can obtain a copy of the License by
 * contacting Liferay, Inc. See the License for the specific language governing
 * permissions and limitations under the License, including but not limited to
 * distribution rights of the Software.
 *
 *
 *
 */
--%>

<%@ include file="/wiki/init.jsp" %>

<%
WikiPortletToolbarContributor wikiPortletToolbarContributor = (WikiPortletToolbarContributor)request.getAttribute(WikiWebKeys.WIKI_PORTLET_TOOLBAR_CONTRIBUTOR);

List<Menu> menus = wikiPortletToolbarContributor.getPortletTitleMenus(renderRequest, renderResponse);
%>

<div id="addButtonContainer">

	<%
	for (Menu menu : menus) {
		List<URLMenuItem> urlMenuItems = (List<URLMenuItem>)(List<?>)menu.getMenuItems();

		List<AddMenuItem> addMenuItems = new ArrayList<AddMenuItem>();

		for (URLMenuItem urlMenuItem : urlMenuItems) {
			addMenuItems.add(new AddMenuItem(urlMenuItem.getLabel(), urlMenuItem.getURL()));
		}
	%>

		<liferay-frontend:add-menu
			addMenuItems="<%= addMenuItems %>"
		/>

	<%
	}
	%>

</div>